[Dovecot-news] Released Pigeonhole v0.5.1 for Dovecot v2.3.1


#1

Hello Dovecot users,

Here’s the Pigeonhole release that goes with Dovecot v2.3.1. You will
need this release for Dovecot v2.3.1, because the previous v0.5.0.1
release will not work. Apart from compatibility changes, it only
contains bugfixes.

Changelog v0.5.1:

  • Explicitly disallow UTF-8 in localpart in addresses parsed from Sieve
    script.
  • editheader extension: Corrected the stream position calculations
    performed while making the modified message available as a stream.
    Pigeonhole Sieve crashed in LMTP with an assertion panic when the
    Sieve editheader extension was used before the message was redirected.
    Experiments indicate that the problem occurred only with LMTP and that
    LDA is not affected.
  • fileinto extension: Fix assert panic occurring when fileinto is used
    without being listed in the require line, while the copy extension is
    listed there. This is a very old bug.
  • imapsieve plugin: Do not assert crash or log an error for messages
    that disappear concurrently while applying Sieve scripts. This event
    is now logged as a debug message.
  • Sieve extprograms plugin: Large output from “execute” command crashed
    delivery. Fixed buffering issue in code that handles output from the
    external program.

The release is available as follows:

https://pigeonhole.dovecot.org/releases/2.3/dovecot-2.3-pigeonhole-0.5.1.tar.gz
https://pigeonhole.dovecot.org/releases/2.3/dovecot-2.3-pigeonhole-0.5.1.tar.gz.sig

Refer to http://pigeonhole.dovecot.org and the Dovecot v2.x wiki for
more information. Have fun testing this release and don’t hesitate to
notify me when there are any problems.

Regards,


Stephan Bosch
[email protected]


Dovecot-news mailing list
[email protected]
https://dovecot.org/mailman/listinfo/dovecot-news